import { FC } from 'react';
declare const sizes: {
    sm: string;
    md: string;
    lg: string;
    xl: string;
    '3xl': string;
};
declare const positions: {
    left: string;
    leftFull: string;
    right: string;
    rightFull: string;
    top: string;
    bottom: string;
    default: string;
};
declare type Size = keyof typeof sizes;
declare type Position = keyof typeof positions;
declare type Props = {
    title?: string;
    size?: Size;
    position?: Position;
    closeWhenClickOutside?: boolean;
    buttons?: JSX.Element;
};
export declare const Modal: FC<Props>;
export {};
//# sourceMappingURL=modal.d.ts.map