import React from 'react';
import { Form } from '../../../form';
import { Button } from '../../button';
import { Modal } from '../components/modal';
export const FormFilterModal = ({ children, handler, title }) => {
    return (React.createElement(Modal, { size: 'sm', position: 'leftFull', title: title, closeWhenClickOutside: true },
        React.createElement(Form, { handler: handler, className: 'bg-white flex flex-col gap-4 p-4' },
            children,
            React.createElement(Button, { pallet: 'blue', type: 'submit', className: 'w-full' }, "Filtrar"))));
};
//# sourceMappingURL=form-filter-modal.js.map