import React from 'react';
import { useModalClose } from '../other/state';
import { Icon } from '../../icon';
import { Modal } from '../components/modal';
export const ImagePreviewModal = ({ source }) => {
    const close = useModalClose();
    return (React.createElement(Modal, { closeWhenClickOutside: true },
        React.createElement("div", { className: 'bg-gray-700 flex flex-1 items-center justify-center' },
            React.createElement(Icon, { className: 'absolute cursor-pointer font-2xl right-8 text-white top-8', type: 'close', onClick: close }),
            React.createElement("img", { className: 'max-h-full max-w-full', src: source, alt: '' }))));
};
//# sourceMappingURL=image-preview-modal.js.map