import React from 'react';
import { Button } from '../../button';
import { Form } from '../../../form';
import { ModalTemplate } from './templates';
const Filter = ({ children, handler, title }) => {
    return (React.createElement(ModalTemplate.Right, { title: title, closeWhenClickOutside: true },
        React.createElement(Form, { handler: handler },
            React.createElement("div", { className: 'bg-white flex flex-col gap-4' },
                children,
                React.createElement(Button, { pallet: 'blue', type: 'submit', className: 'w-full' }, "Filtrar")))));
};
export const ModalUtils = { ImagePreview, Filter };
//# sourceMappingURL=util.js.map