import React from 'react';
import { cls, clsIf } from '../../../../util/self/classes';
export const CommonHeader = ({ items, setSelected, selected, className, itemClassName, itemSelectedClassName, }) => {
    return (React.createElement("div", { className: clsIf(!!className, className, 'bg-gray-300 flex w-full') }, items.map((e) => (React.createElement("div", { key: e.index, className: cls(clsIf(!!itemClassName, itemClassName, 'cursor-pointer px-4 py-3'), clsIf(selected === e.index, clsIf(!!itemSelectedClassName, itemSelectedClassName, 'bg-white text-black'), 'bg-gray-300 cursor-pointer hover:bg-white')), onClick: () => setSelected(e.index) }, e.title)))));
};
//# sourceMappingURL=common-header.js.map