import { Dispatch, SetStateAction } from 'react';
import { ContextType, DataKey } from './types';
export declare const Context: import("react").Context<ContextType<any>>;
export declare const createDataKey: <E>(key: string, def: E) => DataKey<E>;
export declare const useDataValue: <E>(key: DataKey<E>) => E;
export declare const useDataValueSelector: <TValue, TProperty>(key: DataKey<TValue>, selector: (value: TValue) => TProperty) => TProperty;
export declare const useSetDataValue: <E>(key: DataKey<E>) => Dispatch<SetStateAction<E>>;
//# sourceMappingURL=state.d.ts.map