import { FormHandlerProps, Handler } from '../other/types';
import { SetStateAction } from 'react';
export declare type ModelSelector<E> = E extends SetStateAction<infer V> ? V : E;
export declare type ModelExpSelector<E> = (nameof: (selector: ModelSelector<E>) => any) => string;
export declare const useForm: <TOut, TIn>(submit: (model: TIn) => void | Promise<TOut>, info: FormHandlerProps<TOut, TIn>) => [ModelExpSelector<TIn>, Handler<TOut, TIn>];
//# sourceMappingURL=use-form.d.ts.map