import { FC } from 'react';
import { Selector } from '../../../../types/selector';
import { SelectorPagination } from '../../../../types/selector-pagination';
import { PromiseInfoBuilder } from '../../../../util/http';
import { Result } from '../../../../types/result';
interface Props {
    name: string;
    label?: string;
    provider: PromiseInfoBuilder<SelectorPagination, Result<Selector>>;
    multiple?: boolean;
    multilevel?: boolean;
    error?: string;
    disabled?: boolean;
}
export declare const Select: FC<Props>;
export {};
//# sourceMappingURL=index.d.ts.map