var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback, useMemo } from 'react';
import { useField } from '../../../hooks/use-field';
import { createObservable, useSubscriberCallback } from '../../../../../hooks/self/use-subscriber';
import { Checkable } from './checkable';
export const CheckboxList = (_a) => {
    var { name, value } = _a, props = __rest(_a, ["name", "value"]);
    const { subscriber: { value: _value }, setValue, } = useField(name, []);
    const valueObservable = useMemo(() => createObservable(false), []);
    useSubscriberCallback(_value, useCallback((values) => { var _a; return valueObservable.dispatch((_a = values === null || values === void 0 ? void 0 : values.includes(value)) !== null && _a !== void 0 ? _a : false); }, [value, valueObservable]));
    const toggle = useCallback(() => {
        setValue((old) => {
            if (old === null || old === void 0 ? void 0 : old.includes(value))
                return old.filter((e) => e !== value);
            return [...(old !== null && old !== void 0 ? old : []), value];
        });
    }, [setValue, value]);
    return React.createElement(Checkable, Object.assign({ type: 'checkbox', _value: valueObservable.subscriber, setValue: toggle }, props));
};
//# sourceMappingURL=checkbox-list.js.map