import { useSubscriber } from '../../../../../hooks/self/use-subscriber';
import React, { Fragment } from 'react';
import { DropdownItem } from '../../../../common/dropdown';
import { clsIf } from '../../../../../util/self/classes';
export const ItemsBlock = ({ datasource, select, multilevel, selectedSub, multiple }) => {
    const items = useSubscriber(datasource.subscriber.items);
    const { items: currentItems } = useSubscriber(selectedSub);
    return (React.createElement(Fragment, null, items.map((item) => (React.createElement(DropdownItem, { key: item.id, closeOnClick: !(multiple || (multilevel && item.children)), onClick: () => select(item), dangerouslySetInnerHTML: { __html: item.text }, className: clsIf(!!currentItems.find((e) => e.id === item.id), '& bg-gray-300 bg-opacity-70 cursor-pointer filter', '& bg-gray-50 cursor-pointer') })))));
};
//# sourceMappingURL=items-block.js.map