import React from 'react';
import { LoadingContainer } from '../../../../components/common/loading';
import { _breadcrumb } from '../../../common/breadcrumb';
export const MainContent = ({ children, Buttons }) => {
    return (React.createElement("div", { className: 'flex-1 bg-gray-200' },
        React.createElement("div", { className: 'flex justify-between px-4 bg-white' },
            React.createElement("div", { className: 'h-16 bg-white' },
                React.createElement(_breadcrumb, null)),
            Buttons && (React.createElement("div", { className: 'flex justify-between items-center gap-4' },
                React.createElement(Buttons, null)))),
        React.createElement("div", { className: 'p-4' },
            React.createElement(LoadingContainer, null, children))));
};
//# sourceMappingURL=index.js.map