import { ReactElement } from 'react';
import { ModelSelector } from '../../form';
import { PagedFilter } from '../../../types/self/paged-filter';
import { Datasource } from '../../../hooks/self/use-datasource';
declare type Render<E extends PagedFilter> = (render: (nameof: (selector: ModelSelector<E>) => any) => string) => ReactElement;
export declare const useDataFilter: <TFilter extends PagedFilter>(datasource: Datasource<TFilter, any>, render: Render<TFilter>, title?: string) => (() => void);
export {};
//# sourceMappingURL=use-data-filter.d.ts.map