/// <reference types="react" />
import { Column, DatatableSource } from '../other/types';
import { PagedFilter } from '../../../types/self/paged-filter';
import { Datasource } from '../../../hooks/self/use-datasource';
export declare const useDatatable: <TFilter extends PagedFilter, TEntity>(datasource: Datasource<TFilter, TEntity>, columns: (Column<TEntity> | null)[], options?: {
    valueToKey?: ((entity: TEntity) => number) | undefined;
    expand?: ((entity: TEntity) => JSX.Element) | undefined;
} | undefined) => DatatableSource<TFilter, TEntity>;
//# sourceMappingURL=use-datatable.d.ts.map