module.exports = {
    theme: {
        extend: {
            width: {
                120: '40rem',
                36: '9rem',
            },
            height: {
                34: '8.5rem',
            },
            minHeight: {
                4: '1rem',
                8: '2rem',
                10: '2.5rem',
            },
            minWidth: {
                4: '1rem',
                2: '0.5rem',
            },
        },
    },
    safelist: [
        'max-w-sm',
        'max-w-md',
        'max-w-lg'
    ],
    variants: {
        extend: {
            margin: ['last'],
            opacity: ['disabled'],
        },
    },
};
