var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { useField } from '../../form/hooks/use-field';
import { changedName } from '../../form';
import { useSubscriber } from '../../../hooks/use-subscriber';
import { Button } from './_button';
export const FormButton = (_a) => {
    var { disabled } = _a, rest = __rest(_a, ["disabled"]);
    const { subscriber: { value: _value }, } = useField(changedName, false);
    const value = useSubscriber(_value);
    return React.createElement(Button, Object.assign({}, rest, { type: 'submit', disabled: !value || disabled }));
};
//# sourceMappingURL=_form-button.js.map