import { ButtonHTMLAttributes } from 'react';
import { Icons } from '../../icon';
export declare type Props = ButtonHTMLAttributes<HTMLButtonElement> & {
    url?: string;
    pallet: Pallet;
};
export declare type PropsWithIcon = Props & {
    icon: Icons;
};
export declare type PropsForm = Omit<Props, 'type'>;
export declare type Pallet = 'none' | 'green' | 'blue' | 'gray' | 'green_out' | 'blue_out' | 'gray_out' | 'yellow' | 'yellow_out' | 'red' | 'red_out';
//# sourceMappingURL=_types.d.ts.map