var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback, useContext } from 'react';
import { clsWith } from '../../../../util/self/classes';
import { Context } from '../other/state';
export const DropdownItem = (_a) => {
    var { children, className, closeOnClick = true, onClick } = _a, rest = __rest(_a, ["children", "className", "closeOnClick", "onClick"]);
    const { close } = useContext(Context);
    const click = useCallback((event) => {
        onClick === null || onClick === void 0 ? void 0 : onClick(event);
        if (closeOnClick)
            close();
    }, [closeOnClick, close, onClick]);
    return (React.createElement("li", Object.assign({ className: clsWith('py-2 px-4 hover:bg-gray-300', className) }, rest, { onClick: click }), children));
};
//# sourceMappingURL=dropdown-item.js.map