var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback, useContext } from 'react';
import { Link as RouterLink } from 'react-router-dom';
import { cls, clsWith } from '../../../../util/self/classes';
import { Context } from '../other/state';
export const DropdownLink = (_a) => {
    var { children, className, onClick } = _a, rest = __rest(_a, ["children", "className", "onClick"]);
    const { close } = useContext(Context);
    const click = useCallback((event) => {
        onClick === null || onClick === void 0 ? void 0 : onClick(event);
        close();
    }, [close, onClick]);
    return (React.createElement(RouterLink, Object.assign({ className: cls('list-item', clsWith('py-2 px-4 hover:bg-gray-300', className)), onClick: click }, rest), children));
};
//# sourceMappingURL=dropdown-link.js.map