import { Dispatch, SetStateAction } from 'react';
declare type NotificationType = 'ERROR' | 'INFO';
declare type NotificationState = {
    content: React.ReactNode;
    type: NotificationType;
    time: number;
};
declare type NotificationController = {
    error: (message: string) => void;
    info: (message: string) => void;
};
declare const useNotification: () => NotificationController;
declare const useNotificationValue: () => NotificationState[];
declare const useSetNotificationValue: () => Dispatch<SetStateAction<NotificationState[]>>;
export type { NotificationState, NotificationType };
export { useNotification, useNotificationValue, useSetNotificationValue };
//# sourceMappingURL=state.d.ts.map