import { Dispatch, SetStateAction } from 'react';
export declare type DataKey<E> = {
    value: string;
    def: E;
};
export declare type ContextType<E> = {
    listen: (key: DataKey<E>, dispatch: Dispatch<SetStateAction<E>>) => () => void;
    setValue: (key: DataKey<E>) => Dispatch<SetStateAction<E>>;
    value: (key: DataKey<E>) => E;
};
//# sourceMappingURL=types.d.ts.map