import React from 'react';
import { Callback, Setter } from './types';
declare type Props = {
    reset: () => void;
    model: () => any;
    load: (entity: any) => void;
    set: Setter;
    get: (name: string) => any;
    error: (errors: {
        [key: string]: string;
    }) => void;
    subscribe: (name: string, callback: Callback, def: any) => void;
    unsubscribe: (callback: Callback) => void;
};
export declare const FormContext: React.Context<Props>;
export {};
//# sourceMappingURL=form-context.d.ts.map