export declare type TextBlockType = 'text' | 'password' | 'email' | 'cpf' | 'cpfOrCnpj' | 'cnpj' | 'number' | 'date' | 'datetimeLocal';
export interface Transformer {
    fromString: (value: string) => any;
    toString: (value: any) => string;
    htmlType?: string;
    hideEmpty?: boolean;
}
export declare const transformers: {
    [key in TextBlockType]: Transformer;
};
//# sourceMappingURL=transformer.d.ts.map