import React from 'react';
import { useSubscriber } from '../../../../../hooks/self/use-subscriber';
import { cls } from '../../../../../util/self/classes';
import { Icon } from '../../../../common/icon';
export const Checkable = ({ rounded, label, _value, setValue }) => {
    const value = useSubscriber(_value);
    return (React.createElement("div", { className: 'relative select-none' },
        React.createElement("label", { className: 'flex gap-2 items-center leading-7' },
            React.createElement("input", { className: 'hidden', type: 'checkbox', checked: value !== null && value !== void 0 ? value : false, onChange: setValue }),
            React.createElement("div", { className: cls('border-2 flex h-6 items-center justify-center w-6', cls(rounded, 'rounded-md'), cls(!value, 'border-gray-500'), cls(!!value, 'bg-blue-500 border-blue-500')) }, !!value && React.createElement(Icon, { type: 'check', className: 'font-bold h-6 leading-6 text-center text-white w-6' })),
            !!label && React.createElement("div", null, label))));
};
//# sourceMappingURL=checkable.js.map