var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { useField } from '../../../hooks/use-field';
import { Checkable } from './checkable';
export const Checkbox = (_a) => {
    var { name } = _a, props = __rest(_a, ["name"]);
    const { subscriber: { value: _value }, setValue, } = useField(name, false);
    return React.createElement(Checkable, Object.assign({ type: 'checkbox', _value: _value, setValue: () => setValue((old) => !old) }, props));
};
//# sourceMappingURL=checkbox.js.map