var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback } from 'react';
import { useField } from '../../../hooks/use-field';
import { useSubscriberSelectorAsSubscriber } from '../../../../../hooks/self/use-subscriber';
import { Checkable } from './checkable';
export const Radio = (_a) => {
    var { name, value } = _a, props = __rest(_a, ["name", "value"]);
    const { subscriber: { value: _currentValue }, setValue, } = useField(name, null);
    const _value = useSubscriberSelectorAsSubscriber(_currentValue, useCallback((v) => v === value, [value]));
    return React.createElement(Checkable, Object.assign({ rounded: true, type: 'checkbox', _value: _value, setValue: () => setValue(value) }, props));
};
//# sourceMappingURL=radio.js.map