import React from 'react';
import { useSubscriber } from '../../../../../hooks/self/use-subscriber';
import { DropdownItem } from '../../../../common/dropdown';
export const AppendBlock = ({ datasource }) => {
    const pagination = useSubscriber(datasource.subscriber.pagination);
    const items = useSubscriber(datasource.subscriber.items);
    if (items.length === pagination.total)
        return null;
    return (React.createElement(DropdownItem, { closeOnClick: false, className: 'cursor-pointer', onClick: () => alert('not implemented') }, "Carregar mais..."));
};
//# sourceMappingURL=append-block.js.map