import React from 'react';
import { useSubscriber } from '../../../../../hooks/self/use-subscriber';
import { DropdownItem } from '../../../../common/dropdown';
export const LoadingBlock = ({ datasource }) => {
    const loading = useSubscriber(datasource.subscriber.loading);
    const items = useSubscriber(datasource.subscriber.items);
    if (items.length !== 0)
        return null;
    return (React.createElement(DropdownItem, { closeOnClick: false, className: '& text-gray-600' }, loading ? 'Carregando...' : 'Sem resultados...'));
};
//# sourceMappingURL=loading-block.js.map