import { useCancellablePromise, useSubscriber } from '../../../../../hooks';
import React, { Fragment, useCallback, useEffect } from 'react';
import { DropdownItem } from '../../../../common/dropdown';
export const Multilevel = ({ _selected, provider, setValue, datasource }) => {
    const { items } = useSubscriber(_selected);
    const item = items.length == 1 ? items[0] : null;
    const promise = useCancellablePromise(provider);
    const up = useCallback(() => {
        if (!(item === null || item === void 0 ? void 0 : item.children) && (item === null || item === void 0 ? void 0 : item.parentId)) {
            promise({ ids: [item === null || item === void 0 ? void 0 : item.parentId], size: 1, page: 1 }).then((e) => {
                const temp = (e.items.length && e.items[0]);
                setValue(temp === null || temp === void 0 ? void 0 : temp.parentId);
            });
        }
        else {
            setValue(item === null || item === void 0 ? void 0 : item.parentId);
        }
    }, [item === null || item === void 0 ? void 0 : item.children, item === null || item === void 0 ? void 0 : item.parentId, promise, setValue]);
    useEffect(() => {
        datasource.set.filter({ parentId: (item === null || item === void 0 ? void 0 : item.children) ? item === null || item === void 0 ? void 0 : item.id : item === null || item === void 0 ? void 0 : item.parentId });
    }, [datasource, item]);
    return item ? (React.createElement(Fragment, null,
        React.createElement(DropdownItem, { closeOnClick: false, onClick: up }, "..."))) : null;
};
//# sourceMappingURL=multi-level.js.map