import { Dispatch, SetStateAction } from 'react';
import { PromiseInfoBuilder } from '../../../../../util';
import { Result, Selector, SelectorPagination } from '../../../../../types';
import { Datasource, Subscriber } from '../../../../../hooks';
export declare type Value = number | number[] | null;
export declare type SetValue = Dispatch<SetStateAction<Value>>;
export declare type PromiseWithOrWithoutFilter<TFilter, TValue> = PromiseInfoBuilder<TFilter, TValue> | {
    builder: PromiseInfoBuilder<TFilter, TValue>;
    _filter: Subscriber<Partial<TFilter>>;
};
export interface CommonProps {
    provider: PromiseInfoBuilder<SelectorPagination & any, Result<Selector>>;
    _filter?: Subscriber<Partial<SelectorPagination & any>>;
    multiple?: boolean;
    multilevel?: boolean;
}
export declare type BlockProps = {
    datasource: Datasource<any, Selector>;
};
//# sourceMappingURL=types.d.ts.map