import React from 'react';
import { Pagination } from '../../common/pagination';
import { LoadingSubscriber } from '../../common/loading';
import { TableHead } from './table-heade';
import { TableBody } from './table-body';
const def = (entity) => entity.id;
export const Datatable = ({ source: { columns, options, datasource } }) => {
    var _a;
    return (React.createElement("div", { className: 'flex flex-col gap-4' },
        React.createElement("table", { className: 'table-auto w-full' },
            React.createElement(TableHead, { columns: columns, empty: !!(options === null || options === void 0 ? void 0 : options.expand), datasource: datasource }),
            React.createElement(TableBody, { valueToKey: (_a = options === null || options === void 0 ? void 0 : options.valueToKey) !== null && _a !== void 0 ? _a : def, expand: options === null || options === void 0 ? void 0 : options.expand, columns: columns, datasource: datasource })),
        React.createElement(Pagination, { datasource: datasource }),
        React.createElement(LoadingSubscriber, { _loading: datasource.subscriber.loading })));
};
//# sourceMappingURL=datatable.js.map