import React, { HTMLAttributes } from 'react';
import { PromiseInfoBuilder } from '../../../util';
import { Icons } from '../../common/icon';
declare type Props = HTMLAttributes<HTMLAnchorElement> & {
    url?: string;
};
declare type DtDeleteProps = {
    id: number;
    refresh: () => void;
    del: PromiseInfoBuilder<{
        id: number;
    }, any>;
};
export declare const DtUtil: {
    Delete: React.FC<DtDeleteProps>;
    Link: React.FC<React.HTMLAttributes<HTMLAnchorElement> & {
        url?: string | undefined;
    } & {
        icon: Icons;
    }>;
    Editor: React.FC<Props>;
};
export {};
//# sourceMappingURL=util.d.ts.map