import { useEffect, useState } from 'react';
import { useHistory } from 'react-router-dom';
export const useCurrentLocationPath = () => {
    const [path, setPath] = useState('');
    const history = useHistory();
    useEffect(() => {
        setPath(history.location.pathname);
        return history.listen((value) => setPath(value.pathname));
    }, [history]);
    return path;
};
//# sourceMappingURL=use-current-location-path.js.map