import { useMemo, useState } from 'react';
export const useHover = () => {
    const [hover, setHover] = useState(false);
    const controller = useMemo(() => ({
        onMouseEnter: () => setHover(true),
        onMouseLeave: () => setHover(false),
    }), []);
    return [hover, controller];
};
//# sourceMappingURL=use-hover.js.map