import { useCallback } from 'react';
const useScrollDown = (callback) => {
    return useCallback((event) => {
        const target = event.target;
        if (target.clientHeight + target.scrollTop === target.scrollHeight)
            callback();
    }, [callback]);
};
export { useScrollDown };
//# sourceMappingURL=use-scroll-down.js.map