export const fontColor = (color) => {
    //Default is a bright color
    let fontColor = '#ffffff';
    const red = hexToDec(color.substr(1, 2));
    const green = hexToDec(color.substr(3, 2));
    const blue = hexToDec(color.substr(5, 2));
    const contrast = Math.sqrt(red * red * 0.241 + green * green * 0.691 + blue * blue * 0.068);
    if (contrast > 200)
        fontColor = '#000000';
    return fontColor;
};
const hexToDec = (hexString) => {
    return parseInt(hexString, 16);
};
//# sourceMappingURL=font-color.js.map