const toDate = (date) => {
    return typeof date === 'string' ? new Date(date) : date;
};
const isSameDay = (date1, date2) => {
    return toDate(date1).getDate() === toDate(date2).getDate();
};
const upperFirstChar = (value) => {
    if (!value.length)
        return value;
    return value[0].toUpperCase() + value.substring(1);
};
export const util = { isSameDay, toDate, upperFirstChar };
//# sourceMappingURL=util.js.map