function requireUncached(module) {
    delete require.cache[require.resolve(module)];
    return require(module);
}

const orlStyleConfig = requireUncached('./orl-style.config');

module.exports = orlStyleConfig({
    purge: {
        enabled: false,
        content: ['./src/**/*.{js,jsx,ts,tsx}'],
    },
    darkMode: false, // or 'media' or 'class'
    plugins: [],
});
